#ifndef __io__
# define __io__

typedef enum {
        LAN,
        RS232
} com_mode_type;

extern op_mode_type       cur_op_mode__;
extern com_mode_type      cur_com_mode__ ;
extern void init_io__();
extern void read_message__(/* line, prev_response */);
extern unsigned calc_crc__(/* line, count */);
extern boolean read_bl_line__(/* line, addr, count */);
extern void write_message__(/* line */);
extern void write_multi_line__(/* port, line, last_line, abort */);
extern void write_cont_prompt__(/* port, abort */);
extern void write_dump_line__(/* port, line */);
extern void om_decode__(/* cmd, response */);
extern void pom_decode__(/* cmd, response */);
extern void op_decode__(/* cmd,response */);
extern void np_decode__(/* cmd,response */);
extern void get_con_parms(/* cmd, monport, hostport */);
extern void con_decode__(/* cmd,response */);
extern void lt_decode__(/* cmd,response */);
#endif
